Xerces 3.1.1 API: Class FactoryConfigurationError

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class FactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.parsers.FactoryConfigurationError

public class FactoryConfigurationError
extends java.lang.Error

This error is thrown if there is a configuration problem when creating new factory instances.
This error will also be thrown when the class of a Factory specified by a system property, or the class of the default system parser factory, cannot be loaded or instantiated.
Implementation or Application developers should never need to directly construct or catch errors of this type.
ATTENTION: THIS IMPLEMENTATION OF THE "JAVAX.XML.PARSER" CLASSES IS NOT THE OFFICIAL REFERENCE IMPLEMENTATION OF THE JAVA SPECIFICATION REQUEST 5 FOUND AT http://java.sun.com/aboutJava/communityprocess/jsr/jsr_005_xml.html
THIS IMPLEMENTATION IS CONFORMANT TO THE "JAVA API FOR XML PARSING" SPECIFICATION VERSION 1.0 PUBLIC RELEASE 1 BY JAMES DUNCAN DAVIDSON PUBLISHED BY SUN MICROSYSTEMS ON FEB. 18, 2000 AND FOUND AT http://java.sun.com/xml
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Version:
  1.0 CVS $Revision: 1.2 $ $Date: 2000/06/02 23:42:21 $
See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()` Constructs a new `FactoryConfigurationError` with no detail message.
`FactoryConfigurationError(java.lang.Exception e)` Constructs a new `FactoryConfigurationError` with the given `Exception` as a root cause.
`FactoryConfigurationError(java.lang.Exception e, java.lang.String msg)` Constructs a new `FactoryConfigurationError` with the given `Exception` as a root cause and the given detail message.
`FactoryConfigurationError(java.lang.String msg)` Constructs a new `FactoryConfigurationError` with the given detail message.

Method Summary
`java.lang.Exception` | `getException()` Returns the root cause of this `FactoryConfigurationError` or null if there is none.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

  Constructs a new `FactoryConfigurationError` with no detail message.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg)

  Constructs a new `FactoryConfigurationError` with the given detail message.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e)

  Constructs a new `FactoryConfigurationError` with the given `Exception` as a root cause.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e,
                                     java.lang.String msg)

  Constructs a new `FactoryConfigurationError` with the given `Exception` as a root cause and the given detail message.

Method Detail

### getException

    public java.lang.Exception getException()

  Returns the root cause of this `FactoryConfigurationError` or null if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD